## elfkickers 0%2bgit20240221%2bds

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -I../elfrw
# Package maintainers to append LDFLAGS.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	@echo using d/install

## elfkickers 0+git20240221+ds

=== debian/changelog ===
elfkickers (0+git20240221+ds-5) unstable; urgency=medium

  * d/control: add missing build-depends: dh-exec.

 -- Alex Myczko <tar@debian.org>  Sat, 18 May 2024 13:54:19 +0200

elfkickers (0+git20240221+ds-4) unstable; urgency=medium

  * Really fix the file conflict.

 -- Alex Myczko <tar@debian.org>  Sat, 18 May 2024 05:32:46 +0000

elfkickers (0+git20240221+ds-3) unstable; urgency=medium

  * d/install: to right location. (Closes: #1071241)
  * d/control: avoid file conflict. (Closes: #1071243)
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Fri, 17 May 2024 08:49:14 +0000

elfkickers (0+git20240221+ds-2) unstable; urgency=medium

  * d/rules: override auto install. (Closes: #1071191)

 -- Alex Myczko <tar@debian.org>  Thu, 16 May 2024 12:21:26 +0000

elfkickers (0+git20240221+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1064381)

 -- Gürkan Myczko <tar@debian.org>  Wed, 21 Feb 2024 06:03:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 
 # See ENVIRONMENT in dpkg-buildflags(1).
 # Package maintainers to append CFLAGS.
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -I../elfrw
+#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # Package maintainers to append LDFLAGS.
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@

## elfkickers 2.0a

=== ebfc/Makefile ===
#  Makefile for ebfc

CC = gcc
CFLAGS = -ggdb -Wall

ebfc: ebfc.o brainfuck.o libelfparts.a

ebfc.o: ebfc.c elfparts.h ebfc.h
brainfuck.o: brainfuck.c elfparts.h ebfc.h

libelfparts.a: elfparts.o ehdr.o phdrtab.o shdrtab.o progbits.o	\
               strtab.o symtab.o hash.o rel.o got.o dynamic.o
	ar crs libelfparts.a   $^

elfparts.o: elfparts.c elfparts.h gen.h
ehdr.o: ehdr.c elfparts.h gen.h
phdrtab.o: phdrtab.c elfparts.h gen.h
shdrtab.o: shdrtab.c elfparts.h gen.h
progbits.o: progbits.c elfparts.h gen.h
strtab.o: strtab.c elfparts.h gen.h
symtab.o: symtab.c elfparts.h gen.h
hash.o: hash.c elfparts.h gen.h
rel.o: rel.c elfparts.h gen.h
got.o: got.c elfparts.h gen.h
dynamic.o: dynamic.c elfparts.h gen.h

clean:
	rm -f elfparts.o ehdr.o phdrtab.o shdrtab.o progbits.o strtab.o
	rm -f symtab.o hash.o rel.o got.o dynamic.o ebfc.o brainfuck.o
	rm -f ebfc libelfparts.a

=== elfls/Makefile ===
#  Makefile for elfls

elfls: elfls.c
	gcc -ggdb -Wall -W -o elfls elfls.c

clean:
	rm -f elfls

=== elftoc/Makefile ===
#  Makefile for elftoc

CC = gcc
CFLAGS = -ggdb -Wall
LDFLAGS = $(CFLAGS)

OBJS = pieces.o addr.o shdrtab.o dynamic.o outbasic.o outtools.o out.o elftoc.o

elftoc: $(OBJS)

pieces.o: pieces.c pieces.h gen.h elf.h
addr.o: addr.c addr.h gen.h
shdrtab.o: shdrtab.c shdrtab.h gen.h elf.h outbasic.h
outbasic.o: outbasic.c outbasic.h gen.h elftoc.h
outtools.o: outtools.c outtools.h gen.h elf.h elftoc.h pieces.h addr.h	\
            outbasic.h
out.o: out.c out.h gen.h elf.h elftoc.h addr.h pieces.h shdrtab.h	\
       outbasic.h outtools.h names.h
elftoc.o: elftoc.c elftoc.h gen.h elf.h pieces.h addr.h shdrtab.h out.h

clean:
	rm -f elftoc $(OBJS)

=== rebind/Makefile ===
#  Makefile for rebind

rebind: rebind.c
	gcc -ggdb -Wall -W -o rebind rebind.c

clean:
	rm -f rebind

=== sstrip/Makefile ===
#  Makefile for sstrip

sstrip: sstrip.c
	gcc -ggdb -Wall -W -o sstrip sstrip.c

clean:
	rm -f sstrip

=== tiny/Makefile ===
all: true false hello fgconsole keepalive bf hexdump factor ls date snake

% : %.asm
	nasm -f bin -w+orphan-labels -o $@ $< && chmod +x $@

true      : true.asm
hello     : hello.asm
fgconsole : fgconsole.asm
keepalive : keepalive.asm
bf        : bf.asm
hexdump   : hexdump.asm
ls        : ls.asm
factor    : factor.asm
date      : date.asm
snake     : snake.asm

false: true
	ln -s true false

clean:
	rm -f true false hello fgconsole keepalive
	rm -f bf hexdump factor ls date snake

## elfkickers 3.2%2Bds

=== debian/changelog ===
elfkickers (3.2+ds-1) unstable; urgency=medium

  * Apply patch to fix FTBFS. (Closes: #1119690)
    Thanks Adrian Bunk.
  * Fix upstream versioning.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Fri, 31 Oct 2025 08:18:19 +0100

elfkickers (0+git20240221+ds-6) unstable; urgency=medium

  * Build using default build flags. (Closes: #1119405)

 -- Alex Myczko <tar@debian.org>  Thu, 30 Oct 2025 08:45:00 +0100

## elfkickers 3.2+ds

=== Makefile ===
#  The top-level makefile simply invokes all the other makefiles

prefix = /usr/local

PROGRAMS = elfls objres rebind sstrip elftoc ebfc infect

all: $(PROGRAMS)

bin/%:
	mkdir -p bin
	$(MAKE) -C$* $*
	cp $*/$* $@

doc/%.1:
	mkdir -p doc
	cp $*/$*.1 $@

elfls: bin/elfls doc/elfls.1
objres: bin/objres doc/objres.1
rebind: bin/rebind doc/rebind.1
sstrip: bin/sstrip doc/sstrip.1
elftoc: bin/elftoc doc/elftoc.1
ebfc: bin/ebfc doc/ebfc.1
infect: bin/infect doc/infect.1

install: $(PROGRAMS)
	mkdir -p $(prefix)/bin
	cp bin/* $(prefix)/bin/.
	mkdir -p $(prefix)/share/man/man1
	cp doc/* $(prefix)/share/man/man1/.

clean:
	for dir in elfrw $(PROGRAMS) ; do $(MAKE) -C$$dir clean ; done
	rm -f $(PROGRAMS:%=bin/%) $(PROGRAMS:%=doc/%.1)

=== ebfc/Makefile ===
#  Makefile for ebfc

CC = gcc
CFLAGS = -Wall -Wextra -Wno-missing-field-initializers

# The main program.

ebfc: ebfc.o brainfuck.o libelfparts.a

ebfc.o: ebfc.c elfparts.h ebfc.h
brainfuck.o: brainfuck.c elfparts.h ebfc.h

# The elfparts library.

libelfparts.a: elfparts.o \
	       ehdr.o phdrtab.o shdrtab.o progbits.o \
               strtab.o symtab.o hash.o rel.o got.o dynamic.o
	ar crs libelfparts.a $^

elfparts.o: elfparts.c elfparts.h elfpartsi.h
ehdr.o: ehdr.c elfparts.h elfpartsi.h
phdrtab.o: phdrtab.c elfparts.h elfpartsi.h
shdrtab.o: shdrtab.c elfparts.h elfpartsi.h
progbits.o: progbits.c elfparts.h elfpartsi.h
strtab.o: strtab.c elfparts.h elfpartsi.h
symtab.o: symtab.c elfparts.h elfpartsi.h
hash.o: hash.c elfparts.h elfpartsi.h
rel.o: rel.c elfparts.h elfpartsi.h
got.o: got.c elfparts.h elfpartsi.h
dynamic.o: dynamic.c elfparts.h elfpartsi.h

clean:
	rm -f ebfc.o brainfuck.o
	rm -f elfparts.o elfpseq.o
	rm -f ehdr.o phdrtab.o shdrtab.o progbits.o strtab.o
	rm -f symtab.o hash.o rel.o got.o dynamic.o
	rm -f ebfc libelfparts.a

=== elfls/Makefile ===
#  Makefile for elfls

CC = gcc
CFLAGS = -Wall -Wextra -I../elfrw

elfls: elfls.c ../elfrw/libelfrw.a

../elfrw/libelfrw.a:
	$(MAKE) -C ../elfrw libelfrw.a

clean:
	rm -f elfls

=== elfrw/Makefile ===
#  Makefile for libelfrw.a

CC = gcc
CFLAGS = -Wall -Wextra -O3

LIBOBJS = elfrw.o elfrw_dyn.o elfrw_ehdr.o elfrw_phdr.o elfrw_rel.o \
          elfrw_shdr.o elfrw_sym.o elfrw_ver.o

libelfrw.a: $(LIBOBJS)
	ar crs $@ $^

elfrw.o: elfrw.c elfrw.h elfrw_int.h
elfrw_dyn.o: elfrw_dyn.c elfrw_int.h
elfrw_ehdr.o: elfrw_ehdr.c elfrw_int.h
elfrw_phdr.o: elfrw_phdr.c elfrw_int.h
elfrw_rel.o: elfrw_rel.c elfrw_int.h
elfrw_shdr.o: elfrw_shdr.c elfrw_int.h
elfrw_sym.o: elfrw_sym.c elfrw_int.h
elfrw_ver.o: elfrw_ver.c elfrw_int.h

clean:
	rm -f libelfrw.a $(LIBOBJS)

=== elftoc/Makefile ===
#  Makefile for elftoc

CC = gcc
CFLAGS = -Wall -Wextra
LDFLAGS = -Wall -Wextra

OBJS = gen.o names.o address.o readelf.o shdrtab.o phdrtab.o dynamic.o \
       pieces.o outbase.o outitems.o outelf64.o outelf32.o out.o elftoc.o

all: elftoc

elftoc: $(OBJS)

gen.o     : gen.c gen.h
names.o   : names.c names.h gen.h elfnames.c
address.o : address.c address.h gen.h outbase.h outitems.h
readelf.o : readelf.c readelf.h gen.h names.h pieces.h phdrtab.h shdrtab.h
phdrtab.o : phdrtab.c phdrtab.h gen.h readelf.h pieces.h address.h dynamic.h
shdrtab.o : shdrtab.c shdrtab.h gen.h readelf.h names.h pieces.h \
            outbase.h outitems.h
dynamic.o : dynamic.c dynamic.h gen.h pieces.h address.h readelf.h outitems.h
pieces.o  : pieces.c pieces.h gen.h readelf.h shdrtab.h \
            outbase.h outitems.h out.h
outbase.o : outbase.c outbase.h gen.h
outitems.o: outitems.c outitems.h gen.h outbase.h names.h pieces.h address.h
outelf32.o: outelf32.c outelf32.h gen.h outbase.h names.h outitems.h \
            address.h pieces.h shdrtab.h dynamic.h
outelf64.o: outelf64.c outelf64.h gen.h outbase.h names.h outitems.h \
            address.h pieces.h shdrtab.h dynamic.h
out.o     : out.c out.h gen.h readelf.h pieces.h address.h shdrtab.h \
            outbase.h outitems.h outelf32.h outelf64.h
elftoc.o  : elftoc.c gen.h readelf.h pieces.h address.h outbase.h out.h

elfnames.c: mknames
	echo '#include <elf.h>' >./~elftmp.c
	$(CPP) -dM ./~elftmp.c | ./$^ $@
	rm -f ./~elftmp.c

mknames: mknames.o
mknames.o: mknames.c

clean:
	rm -f $(OBJS) elftoc elfnames.c mknames mknames.o

=== infect/Makefile ===
#  Makefile for infect

CC = gcc
CFLAGS = -Wall -Wextra

infect: infect.c

clean:
	rm -f infect

=== objres/Makefile ===
#  Makefile for objres

CC = gcc
CFLAGS = -Wall -Wextra -I../elfrw
LDFLAGS = -Wall -Wextra

objres: objres.o ../elfrw/libelfrw.a

objres.o: objres.c ../elfrw/elfrw.h

../elfrw/libelfrw.a:
	$(MAKE) -C ../elfrw libelfrw.a

clean:
	rm -f objres objres.o

=== rebind/Makefile ===
#  Makefile for rebind

CC = gcc
CFLAGS = -Wall -Wextra -I../elfrw

rebind: rebind.c ../elfrw/libelfrw.a

../elfrw/libelfrw.a:
	$(MAKE) -C ../elfrw libelfrw.a

clean:
	rm -f rebind

=== sstrip/Makefile ===
#  Makefile for sstrip

CC = gcc
CFLAGS = -Wall -Wextra -I../elfrw

sstrip: sstrip.c ../elfrw/libelfrw.a

../elfrw/libelfrw.a:
	$(MAKE) -C ../elfrw libelfrw.a

clean:
	rm -f sstrip

=== debian/control ===
Source: elfkickers
Section: utils
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec
Standards-Version: 4.7.0
Homepage: https://github.com/BR903/ELFkickers
Vcs-Browser: https://salsa.debian.org/debian/elfkickers
Vcs-Git: https://salsa.debian.org/debian/elfkickers.git

Package: elfkickers
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: websockify
Description: collection of programs that access and manipulate ELF files
 This distribution is a collection of programs that are generally
 unrelated, except in that they all deal with the ELF file format.
 .
 The main purpose of these programs is to be illustrative and
 educational -- to help fellow programmers understand the ELF file
 format and something of how it works under the Linux platform. For the
 most part, these programs have limited real-world utility.
 .
 With the exception of shared use of the elfrw static library, each
 program is independent of the others. There is no other shared code
 between them, and they all take slightly different approaches to
 handling ELF files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -I../elfrw
# Package maintainers to append LDFLAGS.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --no-parallel

override_dh_auto_install:
	@echo using d/install

=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/BR903/ELFkickers/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
